/* HERO */
.hero {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    min-height: 500px;
    border-bottom: 2px solid rgba(0,0,0,0.1);
}

.hero-content {
    max-width: 600px;
    margin-left: var(--margin-large);
}

.hero-sub {
    font-family: 'Reenie Beanie';
    color: var(--primary-color);
    font-size: 1.8rem;  
}

.hero h1 {
    font-size: 4rem;
    margin: 1rem 0;
    text-align: left;
}

.hero h1 span {
    color: var(--text-color);
}

.hero-text {
    margin-bottom: 2rem;
    line-height: 1.6;
}

/* BUTTONS */
.hero-buttons {
    display: flex;
    gap: 1rem;
}

.btn-explore, .btn-map {
    border-radius: 20px;
    padding: var(--padding-small);
    padding-left: var(--padding-medium);
    padding-right: var(--padding-medium);
    background-color: var(--primary-color);
    border: none;
    font-size: var(--font-size);
    color: white;
    text-decoration: none;
}

.btn-explore:hover, .btn-map:hover {
    color: white;
}

.btn-addTrip {
    border-radius: 20px;
    padding: var(--padding-small);
    padding-left: var(--padding-medium);
    padding-right: var(--padding-medium);
    border: 1px solid var(--primary-color);
    font-size: var(--font-size);
    color: var(--primary-color);
    text-decoration: none;
}

/* HINTERGRUNDBILD */
.hero-image {
    height: 100%;
    background-image:  linear-gradient(to right, var(--background-color) 0%, rgba(0,0,0,0) 70%), url('../images/mallorca_11.JPG');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* FEATURES */
.features {
    padding: 4rem 2rem;
}

.features-sub {
    font-family: 'Raleway';
    color: var(--primary-color);
    font-size: 0.8rem;
    letter-spacing: 4px;
    text-transform: uppercase;
    text-align: center;
}

.features h3 {
    color: var(--text-color); 
    text-align: center;
    margin-top: 0;
    margin-bottom: 2rem;
}


.features-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.features-card {
    display: flex;
    align-items: flex-start;
    gap: 1.5rem;
    padding: 1rem 2rem;
    border-right: 1.5px solid rgba(0,0,0,0.1);
}

.features-card:last-child {
    border-right: none;
}

.features-card:hover {
    transform: translateY(-5px);
    transition: 0.3s;
}

.features-card h4 {
    font-size: 1.1rem;
    margin-bottom: 0.5rem;
}

.features-card p {
    color: #666;
    line-height: 1.5;
}

.icon {
    width: 75px;
    height: 75px;
    flex-shrink: 0;
    background-color: var(--primary-color-2);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center; 
    margin-top: var(--margin-large);
}

/* MAP */
.map {
    padding: 2rem;
}

.map-container {
    background-color: white;
    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    align-items: center;
}

.map-container img {
    width: 100%;
    border-radius: 20px;
}

.map-sub {
    font-family: 'Raleway';
    color: var(--primary-color);
    font-size: 0.8rem;
    letter-spacing: 4px;
    text-transform: uppercase;
}

.map-text h3 {
    color: var(--text-color);
    margin-top: 0;
    margin-bottom: 1.5rem;
}
